C++Function-class {Rcpp} | R Documentation

## Class "C++Function"

### Description

Internal C++ function

### Objects from the Class

Objects can be created by the `Rcpp::InternalFunction` class from the `Rcpp` library

### Slots

`.Data`:

  R function that calls back to the internal function

`pointer`:

  External pointer to a C++ object poiting to the function

`docstring`:

  Short documentation for the function

`signature`:

  C++ signature

### Extends

Class `"function"`, from data part. Class `"OptionalFunction"`, by class "function", distance 2. Class `"PossibleMethod"`, by class "function", distance 2.

### Methods

show

  `signature(object = "C++Function")`: print the object

### Examples

    showClass("C++Function")

[Package Rcpp version 0.12.5 Index]